//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	//Added
	using System.IO;
    
    
    public partial class SCM_Report
    {
		public void SaveReportTemplate(string path)
		{
			//MessageBox.Show(path);
			try
			{
				MessageBox.Show(path);
				m_attachmentPath = path;
				Globals.Reports.Report1.Save(path);
			
			}
			catch(Exception ex)
			{
				MessageBox.Show("Error :" + ex.Message);
			}
		}
		
		bool m_executed = false;
		string m_attachmentPath = string.Empty;
		public void InitilizeReport()
		{
			if(!m_executed)
			{
				Globals.Reports.Report1.ReportSaved += ReportIsSaved;
				Globals.Reports.Report1.ReportGenerationFailed += GenerationFailed;
				m_executed = true;
			}
		}
		
		private void ReportIsSaved(System.Object sender, System.EventArgs e)
		{
			string path = FindNewestFileInFolder(m_attachmentPath);
			//MessageBox.Show("OK Report is saved" + );
			//E-mail the report
			Globals.MailScriptModule.SendEmail("mikael.hansson@beijerelectronics.se", "Report: " + DateTime.Now.ToShortDateString() + " " + DateTime.Now.ToShortTimeString(), "The file is attached", path);		
		}
		
		private void GenerationFailed(System.Object sender, System.EventArgs e)
		{
			MessageBox.Show("Error: " + e.ToString());
			//E-mail the report
			//Globals.MailScriptModule.SendEmail("patrik.johnsson@beijerelectronics.com", "Report: " + DateTime.Now.Date, "The file is attached", m_attachmentPath);
		}
		
		private string FindNewestFileInFolder(string folderPath)
		{
			string[] files = Directory.GetFiles(folderPath, "*.xls");
			for(int i = 0; i < files.Length; i++)
			{
				string lastWriteTime = File.GetLastAccessTime(files[i]).ToString("yyyyMMddHHmmss"); 
				files[i] = lastWriteTime + files[i];
			} 
			//Array.Sort(files);
			string path = files[files.Length-1].Remove(0,14);
			return path;
		}
		
		
		
		
    }
}
